<?php

namespace WBB\ThreadPassword\XF\Pub\Controller;

use XF\Mvc\ParameterBag;

class Thread extends XFCP_Thread
{
    public function actionIndex(ParameterBag $params)
    {
        $parent = parent::actionIndex($params);

        $userId = \XF::visitor()->user_id;
        $threadId = $params->thread_id;
        $cookieName = 'password'.$threadId;
        $passEnter = !empty(@$_COOKIE[$cookieName]) ? @$_COOKIE[$cookieName]: '';

        $db = \XF::db();
        $thread = $db->fetchRow("
            SELECT wbb_thread_password, user_id
            FROM xf_thread
            WHERE thread_id = ?
        ", $threadId);
        $passDefault = $thread['wbb_thread_password'];
        $creatorId = $thread['user_id'];

        if($passEnter != $passDefault)
        {
            $viewParams = [
                'threadId' => $threadId
            ];
    
            return $this->view('WBB\ThreadPassword:Thread', 'WBB_ThreadPassword_insertPass', $viewParams);
        }

        return $parent;
    }

	public function setupThreadEdit(\XF\Entity\Thread $thread)
	{
		$editor = parent::setupThreadEdit($thread);
        $passEnter = $this->filter('password', 'str');
		$editor->setThreadPassword($passEnter);

		return $editor;
	}

}